<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
    <title>Willkommen zum Setup</title>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
        <link rel="stylesheet" type="text/css" href="../backend/css/backend.css">
  </head>
  <body>
    <h1>Willkommen zum Setup vom CMBasic</h1>
    
    <p>Klicken Sie oben auf den <b>gewnschten Link</b> und das Setup wird
    durchgefhrt. Wir empfehlen <b>Setup mit Beispieldateien</b>. Lschen Sie 
    nach erfolgreicher Installation unbedingt den Setup-Ordner!</p>
    
    <p class="tipp">Sollte das Setup mit Beispieldateien misslingen, probieren Sie
    das Setup ohne Beispieldateien. Danach knnen Sie das Setup mit Beispieltabellen 
    hufig sogar erfolgreich drberinstallieren. Wenn das alles wider Erwarten auch 
    nicht klappt, nehmen Sie den SQL-Code aus dem Formularfeld auf dieser Seite. 
    Installieren Sie die Datenbanktabellen manuell
    per phpMyAdmin.</p>
    <h2>Bei Problemen ...</h2>
    <p>... knnen Sie den Setup-SQL-Code auch aus diesem Formularfeld herauskopieren 
    und direkt in das SQL-Feld von <b>phpMyAdmin</b> einfgen.</p>
    
    <?php
include "../edit/config.inc.php";
include "../zugriff.inc.php";

$sqlcode = "CREATE TABLE `{$pfx}content` (
  `URLAnhang` varchar(25) NOT NULL default '',
  `MenueName` varchar(30) default NULL,
  `Ebene1` smallint(6) default NULL,
  `Ebene2` smallint(6) default NULL,
  `Seitentitel` varchar(75) default NULL,
  `Content` text ,
  `KastenNr` smallint(6) default NULL,
  PRIMARY KEY  (`URLAnhang`)
) ;

CREATE TABLE `{$pfx}newsbox` (
  `KastenNr` smallint(6) NOT NULL default '0',
  `KastenHead` varchar(50) default NULL,
  `KastenText` text ,
  PRIMARY KEY  (`KastenNr`)
) ;

CREATE TABLE `{$pfx}rights` (
  `URLAnhang` varchar(25) NOT NULL default '',
  `user` varchar(15) NOT NULL default '',
  PRIMARY KEY  (`URLAnhang`,`user`)
) ;

CREATE TABLE `{$pfx}user` (
  `user` varchar(15) NOT NULL default '',
  `pw` varchar(50) default NULL,
  `rights` tinyint(4) default NULL,
  PRIMARY KEY  (`user`)
) ;

INSERT INTO {$pfx}user VALUES ('admin', '0752fa8b82411b5353dc1c9b88998655', '4')";
?>

<form action="">
<textarea cols='85' rows='10'>
<?php echo $sqlcode ?>
</textarea>
    <h2>Beispieldateien lschen</h2>
    <p>Sie wollen hinterher alle Beispieldateien lschen, um Ihre eigenen Inhalte einzugeben? Geben Sie folgenden Befehl in die SQL-Konsole ein: <span class="code"><?php echo "DELETE FROM {$pfx}content"; ?></span></p>
<h2>Hilfe auf CMBasic</h2>
<p>Weitere Hilfe erhalten Sie auf <a href="http://www.cmbasic.de" target="_top">www.cmbasic.de</a>.</p>
</body>
</html>